%global pname     screenshot

Name:             vdr-%{pname}
Version:          0.0.14
Release:          4%{?dist}
Summary:          VDR plugin: Takes screenshots

License:          GPL+
URL:              http://www.joachim-wilke.de/vdr-screenshot.htm
Source:           http://www.joachim-wilke.de/downloads/vdr-screenshot/%{name}-%{version}.tar.bz2
Patch0:           %{pname}.patch
# upstream reported that the *.po patch will be included in the next release. 
Patch1:           %{pname}-po.patch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    vdr-devel >= 1.6.0-41
Requires:         vdr(abi)%{?_isa} = %{vdr_apiversion}


%description
With this plugin you can take still images of your screen. After installing
the plugin, a new mainmenu entry "Screenshot" will show up. Each time you
select this item, a file /var/cache/vdr/screenshot/title-yyyymmdd-hhmmss.jpg
will be created, where title is the current transmission or the recording
currently replayed.

%prep
%setup -q -n %{pname}-%{version}
chmod -c -x screenshot.c
%patch0 -p1
%patch1 -p0

iconv -f iso-8859-1 -t utf-8 HISTORY > HISTORY.utf8 ; mv HISTORY.utf8 HISTORY

%build
make %{?_smp_mflags} AUTOCONFIG= LIBDIR=. LOCALEDIR=./locale \
    VDRDIR=%{_libdir}/vdr all

%install
install -dm 755 $RPM_BUILD_ROOT%{vdr_plugindir}
install -dm 755 $RPM_BUILD_ROOT%{vdr_cachedir}/screenshot
install -pm 755 libvdr-*.so.%{vdr_apiversion} $RPM_BUILD_ROOT%{vdr_plugindir}

# Locale
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/locale
cp -pR locale/* $RPM_BUILD_ROOT%{_datadir}/locale
%find_lang %{name}

%files -f %{name}.lang
%doc HISTORY COPYING README
%{vdr_plugindir}/libvdr-*.so.%{vdr_apiversion}
%attr(-,%{vdr_user},root) %dir %{vdr_cachedir}/screenshot/

%changelog
* Mon May 21 2012 Martin Gansser <linux4martin@gmx.de> 0.0.14-4.fc17
- fixed spurious-executable-perm of screenshot.c 

* Tue May 15 2012 Martin Gansser <linux4martin@gmx.de> 0.0.14-3.fc17
- picture-path and readme patch are merged
- more permission cleanups

* Tue May 15 2012 Martin Gansser <linux4martin@gmx.de> 0.0.14-2.fc17
- added Translation Content-Type charset fixes
- added readme patch
- fixed correct permissons for vdr_cachedir

* Sun May 13 2012 Martin Gansser <linux4martin@gmx.de> 0.0.14-1.fc17
- new release

* Sat May 12 2012 Martin Gansser <linux4martin@gmx.de> 0.0.13-3.fc17
- fixed dependencies
- removed strip command and comments out debug_package in rpmmacros
- added patch to store images in /var/cache/vdr/screenshot

* Tue May 08 2012 Martin Gansser <linux4martin@gmx.de> 0.0.13-2.fc17
- solved unstripped-binary-or-object warning and mixed-use-of-spaces-and-tabs
- removed unneeded global definitions

* Mon Apr 30 2012 Martin Gansser <linux4martin@gmx.de> 0.0.13-1.fc17
- initial release for fc17

